Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Static Public Member Functions | Properties | List of all members
Mercury.Defaults Class Reference

Global class containing cool static / convenience stuff. More...

## Static Public Member Functions
static ArgumentType | ParamToArgType (ParameterType ptype)
| Translates formal Mercury.Interpreting.ParameterType into Mercury.Interpreting.ArgumentType. If the input is Mercury.Interpreting.ParameterType.ActionCall, this function will yield Mercury.Interpreting.ArgumentType.None as it cannot resolve return types of the Mercury.Interpreting.ActionCall. In that case use `ReturnType` field of the Mercury.Interpreting.InterpreterAction{T} class wrapped in the Mercury.Interpreting.ActionCall. More...
static ArgumentType | TypeToArgType< T, U > ()
| Translates a .NET type into Mercury.Interpreting.ArgumentType. If T equals U , T:System.Object or `dynamic` this function will return Mercury.Interpreting.ArgumentType.Any. If T is one of `int`, `double`, `bool`, `string`, Symbol or `Tree<Symbol&gt`, this function will yield `ArgumentType.TValue | (equivalent of T)`. Otherwise it will yield equivalent Mercury.Interpreting.ArgumentType with no other types set. More...

## Properties
static string | Epsilon`[get]`
| Default epsilon symbol name More...
static string | Root`[get]`
| Default root symbol name More...

## Detailed Description

Global class containing cool static / convenience stuff.

Definition at line 15 of file Defaults.cs.

## Member Function Documentation

static ArgumentType Mercury.Defaults.ParamToArgType | ( | ParameterType | ptype | ) |
| static

Translates formal Mercury.Interpreting.ParameterType into Mercury.Interpreting.ArgumentType. If the input is Mercury.Interpreting.ParameterType.ActionCall, this function will yield Mercury.Interpreting.ArgumentType.None as it cannot resolve return types of the Mercury.Interpreting.ActionCall. In that case use `ReturnType` field of the Mercury.Interpreting.InterpreterAction{T} class wrapped in the Mercury.Interpreting.ActionCall.

Parameters

  ptype | Type of the formal parameter

Returns
  Equivalent argument type

Definition at line 66 of file Defaults.cs.

static ArgumentType Mercury.Defaults.TypeToArgType< T, U > | ( |  | ) |
| static

Translates a .NET type into Mercury.Interpreting.ArgumentType. If T equals U , T:System.Object or `dynamic` this function will return Mercury.Interpreting.ArgumentType.Any. If T is one of `int`, `double`, `bool`, `string`, Symbol or `Tree<Symbol&gt`, this function will yield `ArgumentType.TValue | (equivalent of T)`. Otherwise it will yield equivalent Mercury.Interpreting.ArgumentType with no other types set.

Template Parameters

  T | Interpreter return type
  U |

Returns

Definition at line 83 of file Defaults.cs.

## Property Documentation

string Mercury.Defaults.Epsilon
| static get

Default epsilon symbol name

Definition at line 50 of file Defaults.cs.

string Mercury.Defaults.Root
| static get

Default root symbol name

Definition at line 53 of file Defaults.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Defaults.cs